{"components":{"schemas":{"AltBeneficialOwner":{"properties":{"altSource":{"description":"Enum representation of criteria fulfilled to be included in the response. Either OWNER of BOARD_MEMBER","enum":["OWNER","BOARD_MEMBER","OWNER_AND_BOARD_MEMBER"],"type":"string"},"boardMemberInfo":{"allOf":[{"$ref":"#/components/schemas/BoardMemberInfo"}],"description":"Further information about board membership fulfilling criteria BOARD_MEMBER"},"name":{"description":"Name of alternative beneficial owner","type":"string"},"ownerInfo":{"allOf":[{"$ref":"#/components/schemas/OwnerInfo"}],"description":"Further information about share holdings fulfilling criteria OWNER"},"personalNumber":{"description":"Personal number of alt bo","type":"string"}},"type":"object"},"AltBeneficialOwnersHistoryRecord":{"description":"found history alternative beneficial owner(s)","properties":{"altBeneficialOwners":{"items":{"$ref":"#/components/schemas/AltBeneficialOwner"},"type":"array"},"changeDate":{"type":"string"},"companyId":{"type":"string"}},"type":"object"},"AltBeneficialOwnersResult":{"properties":{"altBeneficialOwners":{"items":{"$ref":"#/components/schemas/AltBeneficialOwner"},"type":"array"},"companyId":{"type":"string"},"hitCount":{"format":"int32","type":"integer"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BoardMemberInfo":{"description":"Further information about board membership fulfilling criteria BOARD_MEMBER","properties":{"description":{"type":"string"},"roleCode":{"type":"string"}},"type":"object"},"HistoryAltBeneficialOwnersResults":{"description":"Company alternative beneficial owners history results","properties":{"records":{"description":"found history alternative beneficial owner(s)","items":{"$ref":"#/components/schemas/AltBeneficialOwnersHistoryRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"OwnerInfo":{"description":"Further information about share holdings fulfilling criteria OWNER","properties":{"shareQuotas":{"items":{"$ref":"#/components/schemas/ShareQuota"},"type":"array"},"totalQuota":{"type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"ShareQuota":{"properties":{"company":{"type":"string"},"companyId":{"type":"string"},"path":{"type":"string"},"quota":{"type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Get alternative beneficial owners for company based on owner and board member information\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Alternative Beneficial Owners","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/beneficial-alt-owner-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"Company identification","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"Date on format yyyy-mm-dd","in":"query","name":"asOfDate","schema":{"type":"string"}},{"description":"Show share quotas included in total quota","in":"query","name":"includeShareQuotas","schema":{"type":"boolean"}},{"description":"Show share quota owner structure paths","in":"query","name":"includeShareQuotaPath","schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AltBeneficialOwnersResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch alternative beneficial owners for company","tags":["AltBeneficialOwnersSe"]}},"/history/{companyId}":{"get":{"description":"Changes of the company's alternative beneficial owners within specified date range. The range includes \"fromDate\" and excludes \"toDate\".","operationId":"historyCompany","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryAltBeneficialOwnersResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history alternative beneficial owners by company id","tags":["AltBeneficialOwnersSe"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/alt-beneficial-owners/1.0"}],"x-category":"company","x-countries":["se"],"x-id":"AltBeneficialOwnersSe","x-locale-en":{"description":"See which companies a person is an Alternative Beneficial Owner for.","name":"Alternative Beneficial Owner"},"x-locale-no":{"description":"Se vilke selskap en person er Alternativ Reell Rettighetshavere i.","name":"Alternativ Reell Rettighetshaver"},"x-locale-sv":{"description":"Se vilka företag en person är Alternativ Verklig Huvudman i.","name":"Alternativ Verklig Huvudman"},"x-logo":{"url":"https://roaring-assets.s3-eu-west-1.amazonaws.com/svg/beneficial-alt-owner.svg"}}